{% macro operator_(operator) -%}
    <Operator>
        {% if operator.agency and operator.agency.agency != None %}
            <Agency>{{ operator.agency.agency }}</Agency>
        {% endif %}

        {% if operator.website %}
            <WebSite>{{ operator.website}}</WebSite>
        {% endif %}
    </Operator>
{%- endmacro %}

{% macro operator(operator) -%}
    {{ operator.xml|safe }}
{%- endmacro %}


{% macro identifier(identifier) -%}
    <Identifier type="{{ identifier.type }}">{{ identifier.identifier }}</Identifier>
{%- endmacro %}

{% macro comment(comment) -%}
{#    <Comment{% if comment.type %} type="{{ comment.type }}"{% endif %}>{{ comment.comment }}</Comment>#}
{%- endmacro %}

{% macro external_reference(external_reference) -%}
    <ExternalReference>
        {% if external_reference.url %}
        <URI>{{ external_reference.url }}</URI>
        {% endif %}

        {% if external_reference.description %}
        <Description>{{ external_reference.description }}</Description>
        {% endif %}
    </ExternalReference>
{%- endmacro %}

{% macro equipment(equipment) -%}
    {{ equipment.xml|safe }}
{%- endmacro %}

{% macro site(site) -%}
    {{ site.xml|safe }}
{%- endmacro %}